| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Business Group Speed Dial List

Business Group Speed Dial List Definitions and Methods. More...

## Classes
struct | unsp__BgSpeedDialListDataEntry
| BG Speed Dial List Entry. More...
struct | unsp__BgSpeedDialListOfEntries
| List of BG Speed Dial List Entries. More...
struct | unsp__BgSpeedDialList
| BG Speed dial List. More...
struct | unsp__BgSpeedDialListEntryDataResult
| BG Speed Dial List Entry Data result. More...
struct | unsp__BgSpeedDialListEntriesResult
| BG Speed Dial List Entries result. More...
struct | unsp__CreateBgSpeedDialListRequest
| Create BG Speed Dial List request. More...
struct | unsp__CreateBgSpeedDialListResult
| Create BG Speed Dial List result. More...
struct | unsp__UpdateBgSpeedDialListRequest
| Update BG Speed Dial List request. More...
struct | unsp__UpdateBgSpeedDialListResult
| Update BG Speed Dial List result. More...
struct | unsp__UpdateBgSpeedDialListEntriesRequest
| Update BG Speed Dial List Entries request. More...
struct | unsp__UpdateBgSpeedDialListEntriesResult
| Update BG Speed Dial List Entries result. More...
struct | unsp__DeleteBgSpeedDialListEntriesRequest
| Delete BG Speed Dial List Entries request. More...
struct | unsp__DeleteBgSpeedDialListEntriesResult
| Delete BG Speed Dial List Entries result. More...
struct | unsp__DeleteBgSpeedDialListRequest
| Delete BG Speed Dial List request. More...
struct | unsp__DeleteBgSpeedDialListResult
| Delete BG Speed Dial List result. More...
struct | unsp__BgSpeedDialListResult
| BG Speed Dial List result. More...
struct | unsp__GetBgSpeedDialListRequest
| Get BG Speed Dial List request. More...
struct | unsp__GetBgSpeedDialListResult
| Get BG Speed Dial List result. More...
struct | unsp__GetBgSpeedDialListIdsRequest
| Get BG Speed Dial List IDs request. More...
struct | unsp__BgSpeedDialListIdsData
| BG Speed Dial List IDs Data. More...
struct | unsp__BgSpeedDialListIds
| BG Speed Dial List IDs. More...
struct | unsp__BgSpeedDialListIdsResult
| BG Speed Dial List IDs result. More...
struct | unsp__GetBgSpeedDialListIdsResult
| Get BG Speed Dial List IDs result. More...

## Enumerations
enum | unsp__BgSpeedDialListSortType { SortByEntryId, SortByEntryData }
| BG Speed Dial List Entries Sort Type. More...
enum | unsp__BgSpeedDialListIdsSortType { SortByListName, SortByListId, SortByNumberOfEntries }
| BG Speed Dial List Sort Type. More...

## Functions
int | unsp__CreateBgSpeedDialList (struct unsp__CreateBgSpeedDialListRequest CreateBgSpeedDialListRequest, struct unsp__CreateBgSpeedDialListResult *CreateBgSpeedDialListResult)
| Creates a BG Speed Dial List. More...
int | unsp__UpdateBgSpeedDialList (struct unsp__UpdateBgSpeedDialListRequest UpdateBgSpeedDialListRequest, struct unsp__UpdateBgSpeedDialListResult *UpdateBgSpeedDialListResult)
| Updates a BG Speed Dial List. More...
int | unsp__UpdateBgSpeedDialListEntries (struct unsp__UpdateBgSpeedDialListEntriesRequest UpdateBgSpeedDialListEntriesRequest, struct unsp__UpdateBgSpeedDialListEntriesResult *UpdateBgSpeedDialListEntriesResult)
| Adds entries to a BG Speed Dial List or updates existing entries. More...
int | unsp__DeleteBgSpeedDialListEntries (struct unsp__DeleteBgSpeedDialListEntriesRequest DeleteBgSpeedDialListEntriesRequest, struct unsp__DeleteBgSpeedDialListEntriesResult *DeleteBgSpeedDialListEntriesResult)
| Deletes entries from a BG Speed Dial List. More...
int | unsp__DeleteBgSpeedDialList (struct unsp__DeleteBgSpeedDialListRequest DeleteBgSpeedDialListRequest, struct unsp__DeleteBgSpeedDialListResult *DeleteBgSpeedDialListResult)
| Deletes a BG Speed Dial List including all its entries. More...
int | unsp__GetBgSpeedDialList (struct unsp__GetBgSpeedDialListRequest GetBgSpeedDialListRequest, struct unsp__GetBgSpeedDialListResult *GetBgSpeedDialListResult)
| Retrieves a BG Speed Dial List. More...
int | unsp__GetBgSpeedDialListIds (struct unsp__GetBgSpeedDialListIdsRequest GetBgSpeedDialListIdsRequest, struct unsp__GetBgSpeedDialListIdsResult *GetBgSpeedDialListIdsResult)
| Retrieves BG Speed Dial List IDs. More...

## Detailed Description

Business Group Speed Dial List Definitions and Methods.

The methods in this section allow a Business Group administrator to define, populate, and manage BG Speed Dial lists. Out of a system pool of 10,000 BG System Speed Dial lists and 1,000,000 Speed Dial entries, a BG can be assigned up to 10,000 BG System Speed Dial lists, where a list may have up to 100,000 entries (0..99999). When the available pool of lists or of entries is exhausted, the BG administrator is informed during provisioning. The lists are then usable by Business Group Lines who have the unsp__CfBgSpDial feature subscribed and active. Each user has access to up to two of the 10,000 BG level lists via separately defined Prefix Access Codes. The user dials the appropriate Prefix Access Code followed by an Entry Id to access a particular entry on a list, and the number stored for that entry is dialed, whether it consists of a destination, an account code, etc. The Speed Dial list is available anytime the user can dial, and not limited to idle, talk, conference and all consultation dial states.

A list entry may contain access codes for account codes, the account code itself, feature access codes, and the dialed party number (private or public). Each list entry may be up to 30 characters in length for dialable numbers, consisting of digits, # and *. In addition alphanumeric SIP URIs of up to 127 characters are supported. Each list has its own entries, they are not shared.

A Speed Dial list is accessible anytime a user attempts to dial another destination. The Speed Dial list entry is processed until the sequence is completed or an error condition is reached.

## Enumeration Type Documentation

## ◆ unsp__BgSpeedDialListIdsSortType

enum unsp__BgSpeedDialListIdsSortType

BG Speed Dial List Sort Type.

Enumerator
SortByListName | Sort By List Name.
SortByListId | Sort By List ID.
SortByNumberOfEntries | Sort By Number of Entries.

## ◆ unsp__BgSpeedDialListSortType

enum unsp__BgSpeedDialListSortType

BG Speed Dial List Entries Sort Type.

Enumerator
SortByEntryId | Sort By Entry ID.
SortByEntryData | Sort By Entry Data.

## Function Documentation

## ◆ unsp__CreateBgSpeedDialList()

unsp__CreateBgSpeedDialList | ( | struct unsp__CreateBgSpeedDialListRequest | CreateBgSpeedDialListRequest,
|  | struct unsp__CreateBgSpeedDialListResult * | CreateBgSpeedDialListResult
| ) |  |

Creates a BG Speed Dial List.

Parameters

  CreateBgSpeedDialListRequest | API request
  CreateBgSpeedDialListResult | API result MP2 command: BGSPEEDDIALLISTCREATE [Attributes]

## ◆ unsp__DeleteBgSpeedDialList()

unsp__DeleteBgSpeedDialList | ( | struct unsp__DeleteBgSpeedDialListRequest | DeleteBgSpeedDialListRequest,
|  | struct unsp__DeleteBgSpeedDialListResult * | DeleteBgSpeedDialListResult
| ) |  |

Deletes a BG Speed Dial List including all its entries.

Parameters

  DeleteBgSpeedDialListRequest | API request
  DeleteBgSpeedDialListResult | API result MP2 command: BGSPEEDDIALLISTDELETE [Attributes]

## ◆ unsp__DeleteBgSpeedDialListEntries()

unsp__DeleteBgSpeedDialListEntries | ( | struct unsp__DeleteBgSpeedDialListEntriesRequest | DeleteBgSpeedDialListEntriesRequest,
|  | struct unsp__DeleteBgSpeedDialListEntriesResult * | DeleteBgSpeedDialListEntriesResult
| ) |  |

Deletes entries from a BG Speed Dial List.

Parameters

  DeleteBgSpeedDialListEntriesRequest | API request
  DeleteBgSpeedDialListEntriesResult | API result MP2 command: BGSPEEDDIALLISTENTRIESDELETE [Attributes]

## ◆ unsp__GetBgSpeedDialList()

unsp__GetBgSpeedDialList | ( | struct unsp__GetBgSpeedDialListRequest | GetBgSpeedDialListRequest,
|  | struct unsp__GetBgSpeedDialListResult * | GetBgSpeedDialListResult
| ) |  |

Retrieves a BG Speed Dial List.

Parameters

  GetBgSpeedDialListRequest | API request
  GetBgSpeedDialListResult | API result MP2 command: BGSPEEDDIALLISTDELETE [Attributes]

## ◆ unsp__GetBgSpeedDialListIds()

unsp__GetBgSpeedDialListIds | ( | struct unsp__GetBgSpeedDialListIdsRequest | GetBgSpeedDialListIdsRequest,
|  | struct unsp__GetBgSpeedDialListIdsResult * | GetBgSpeedDialListIdsResult
| ) |  |

Retrieves BG Speed Dial List IDs.

Parameters

  GetBgSpeedDialListIdsRequest | API request
  GetBgSpeedDialListIdsResult | API result

## ◆ unsp__UpdateBgSpeedDialList()

unsp__UpdateBgSpeedDialList | ( | struct unsp__UpdateBgSpeedDialListRequest | UpdateBgSpeedDialListRequest,
|  | struct unsp__UpdateBgSpeedDialListResult * | UpdateBgSpeedDialListResult
| ) |  |

Updates a BG Speed Dial List.

Parameters

  UpdateBgSpeedDialListRequest | API request
  UpdateBgSpeedDialListResult | API result MP2 command: BGSPEEDDIALLISTUPDATE [Attributes]

## ◆ unsp__UpdateBgSpeedDialListEntries()

unsp__UpdateBgSpeedDialListEntries | ( | struct unsp__UpdateBgSpeedDialListEntriesRequest | UpdateBgSpeedDialListEntriesRequest,
|  | struct unsp__UpdateBgSpeedDialListEntriesResult * | UpdateBgSpeedDialListEntriesResult
| ) |  |

Adds entries to a BG Speed Dial List or updates existing entries.

Parameters

  UpdateBgSpeedDialListEntriesRequest | API request
  UpdateBgSpeedDialListEntriesResult | API result MP2 command: BGSPEEDDIALLISTENTRIESUPDATE [Attributes]